﻿Ext.ns('formextjs.tutorial');

Ext.BLANK_IMAGE_URL = 'ext-3.2.1/resources/images/default/s.gif';

formextjs.tutorial.FormTutorial = {
    init: function () {
        //Begin of code	here
        Ext.QuickTips.init();

        var departmentStore = new Ext.data.JsonStore({
            url: 'humanresources/departments',
            root: 'departments',
            fields: ['deptno', 'deptname']
        });

        var form = new Ext.FormPanel({
            title: 'Add Employee Form',
            renderTo: 'employeeform',
            width: 400,
            url: 'humanresources/addemployee',
            defaults: { xtype: 'textfield' },
            bodyStyle: 'padding: 10px',
            items: [
            { fieldLabel: 'Employee ID', name: 'empno', allowBlank: false },
            { fieldLabel: 'Fullname', name: 'fullname', allowBlank: false },
            { xtype: 'textarea', fieldLabel: 'Address', name: 'address', multiline: true },
            { xtype: 'numberfield', fieldLabel: 'Age', name: 'age' },
            { xtype: 'numberfield', fieldLabel: 'Salary', name: 'salary', allowBlank: false },
            { xtype: 'combo', fieldLabel: 'Department', name: 'deptno', store: departmentStore,
                hiddenName: 'deptno', displayField: 'deptname', valueField: 'deptno', typeAhead: true,
                mode: 'remote', forceSelection: true, triggerAction: 'all', emptyText: 'Please, select a department...',
                editable: false
            }
            ],
            buttons: [{
                text: 'Add',
                handler: function () {
                    form.getForm().submit({
                        success: function (a, b) {
                            Ext.Msg.alert('Success', 'ok');
                        },
                        failure: function (a, b) {
                            Ext.Msg.alert('Failure', '');
                        }
                    });
                }
            },
            {
	            text: 'Reset',
	            handler: function () {
		            form.getForm().reset();
	            }
            }]

        });
        //End of code here
    }
}

Ext.onReady(formextjs.tutorial.FormTutorial.init, formextjs.tutorial.FormTutorial);